<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
$komunikat = "";
function dodaj()
{
  if(isSet($_GET["imie"]))
    $imie = $_GET["imie"];
  else
    $imie = "";

  if(isSet($_GET["nazwisko"]))
    $nazwisko = $_GET["nazwisko"];
  else
    $nazwisko = "";

  if(isSet($_GET["ulica"]))
    $ulica = $_GET["ulica"];
  else
    $ulica = "";

  if(isSet($_GET["nrdomu"]))
    $nrdomu = $_GET["nrdomu"];
  else
    $nrdomu = "";

  if(isSet($_GET["kod"]))
    $kod = $_GET["kod"];
  else
    $kod = "";

  if(isSet($_GET["miasto"]))
    $miasto = $_GET["miasto"];
  else
    $miasto = "";

  if(isSet($_GET["kraj"]))
    $kraj = $_GET["kraj"];
  else
    $kraj = "";

  if(isSet($_GET["telefon"]))
    $telefon = $_GET["telefon"];
  else
    $telefon = "";

  if ($imie == "" || $nazwisko == "" ||
    $kraj == "" || $telefon == ""){
    $GLOBALS['komunikat'] = "Proszę podać wszystkie wymagane dane!";
    return false;
  }

  $link = mysql_connect("localhost", "test", "test");
  $flag = mysql_select_db("test");

  if(!$link || !$flag){
    $GLOBALS['komunikat'] = "Problem z połączeniem z bazą danych.";
    return false;
  }
  $query = "INSERT INTO OSOBA (IMIE, NAZWISKO, ULICA, NRDOMU, KOD, MIASTO, KRAJ, TELEFON) ";
  $query .= "VALUES('".$imie."','";
  $query .= $nazwisko."','";
  $query .= $ulica."','";
  $query .= $nrdomu."','";
  $query .= $kod."','";
  $query .= $miasto."','";
  $query .= $kraj."','";
  $query .= $telefon."'";
  $query .= ")";
  $result = mysql_query($query);
  if(!$result){
    $GLOBALS['komunikat'] = "Problem z bazą danych. Odrzucone zapytanie.";
    mysql_close($link);
    return false;
  }
  $id = mysql_insert_id();
  mysql_close($link);
  setCookie("id", $id, time() + 3600 * 24 * 30);
  $GLOBALS['komunikat'] = "Dziękujemy za wypełnienie formularza. Dane zostały zapisane w systemie.";
}
dodaj();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<div>
<?php echo $komunikat; ?>
</div>
</body>
</html>
